Uploaded image for project: 'Keycloak'
  1. Keycloak
  2. KEYCLOAK-14637

User registration fails for versions greater than 8.0.1

    Details

    • Steps to Reproduce:
      Hide
      • Run image v8.0.1 on Kubernetes with PROXY_ADDRESS_FORWARDING=true
      • Use default keycloak theme, enable user registration and register a new user.
      • Upgrade keycloak to 9.x or 10.0.2
      • Register again as a new user.

       

      Show
      Run image v8.0.1 on Kubernetes with PROXY_ADDRESS_FORWARDING=true Use default keycloak theme, enable user registration and register a new user. Upgrade keycloak to 9.x or 10.0.2 Register again as a new user.  
    • Docs QE Status:
      NEW
    • QE Status:
      NEW

      Description

      We are running KeyCloak as docker on Kubernetes.

      When running on 8.0.1 the user registration works as expected, but when moving to newer versions it breaks and ends up with 502 Bad gateway error.

      All other functionality is working perfect, only the registration seems to break on the newer versions.

      KeyCloak is running on:

      • Postgres database
      • Param: PROXY_ADDRESS_FORWARDING=true

       

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                mariendongstra Marien Dongstra
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: